diff a/test/hotspot/jtreg/gc/stress/gcbasher/TestGCBasherWithShenandoah.java b/test/hotspot/jtreg/gc/stress/gcbasher/TestGCBasherWithShenandoah.java
--- a/test/hotspot/jtreg/gc/stress/gcbasher/TestGCBasherWithShenandoah.java
+++ b/test/hotspot/jtreg/gc/stress/gcbasher/TestGCBasherWithShenandoah.java
@@ -28,11 +28,11 @@
 import java.io.IOException;
 
 /*
  * @test id=passive
  * @key stress
- * @library /
+ * @library / /test/lib
  * @requires vm.gc.Shenandoah
  * @requires vm.flavor == "server"
  * @summary Stress the Shenandoah GC by trying to make old objects more likely to be garbage than young objects.
  *
  * @run main/othervm/timeout=200 -Xlog:gc*=info -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
@@ -47,11 +47,10 @@
  */
 
 /*
  * @test id=aggressive
  * @key stress
- * @library /
  * @requires vm.gc.Shenandoah
  * @requires vm.flavor == "server"
  * @summary Stress the Shenandoah GC by trying to make old objects more likely to be garbage than young objects.
  *
  * @run main/othervm/timeout=200 -Xlog:gc*=info -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
@@ -70,11 +69,11 @@
  */
 
 /*
  * @test id=adaptive
  * @key stress
- * @library /
+ * @library / /test/lib
  * @requires vm.gc.Shenandoah
  * @requires vm.flavor == "server"
  * @summary Stress the Shenandoah GC by trying to make old objects more likely to be garbage than young objects.
  *
  * @run main/othervm/timeout=200 -Xlog:gc*=info -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
@@ -88,11 +87,11 @@
  */
 
 /*
  * @test id=compact
  * @key stress
- * @library /
+ * @library / /test/lib
  * @requires vm.gc.Shenandoah
  * @requires vm.flavor == "server" & vm.opt.ClassUnloading != false
  * @summary Stress Shenandoah GC with nmethod barrier forced deoptimization enabled.
  *
  * @run main/othervm/timeout=200 -Xlog:gc*=info -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
@@ -101,11 +100,11 @@
  */
 
 /*
  * @test id=passive-deopt-nmethod
  * @key stress
- * @library /
+ * @library / /test/lib
  * @requires vm.gc.Shenandoah
  * @requires vm.flavor == "server" & vm.opt.ClassUnloading != false
  * @summary Stress Shenandoah GC with nmethod barrier forced deoptimization enabled.
  *
  * @run main/othervm/timeout=200 -Xlog:gc*=info,nmethod+barrier=trace -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
@@ -122,11 +121,11 @@
  */
 
 /*
  * @test id=aggressive-deopt-nmethod
  * @key stress
- * @library /
+ * @library / /test/lib
  * @requires vm.gc.Shenandoah
  * @requires vm.flavor == "server" & vm.opt.ClassUnloading != false
  * @summary Stress Shenandoah GC with nmethod barrier forced deoptimization enabled.
  *
  * @run main/othervm/timeout=200 -Xlog:gc*=info,nmethod+barrier=trace -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
@@ -148,11 +147,11 @@
  */
 
 /*
  * @test id=adaptive-deopt-nmethod
  * @key stress
- * @library /
+ * @library / /test/lib
  * @requires vm.gc.Shenandoah
  * @requires vm.flavor == "server" & vm.opt.ClassUnloading != false
  * @summary Stress Shenandoah GC with nmethod barrier forced deoptimization enabled.
  *
  * @run main/othervm/timeout=200 -Xlog:gc*=info,nmethod+barrier=trace -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
@@ -168,11 +167,11 @@
  */
 
 /*
  * @test id=compact-deopt-nmethod
  * @key stress
- * @library /
+ * @library / /test/lib
  * @requires vm.gc.Shenandoah
  * @requires vm.flavor == "server" & vm.opt.ClassUnloading != false
  * @summary Stress Shenandoah GC with nmethod barrier forced deoptimization enabled.
  *
  * @run main/othervm/timeout=200 -Xlog:gc*=info,nmethod+barrier=trace -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
@@ -181,11 +180,11 @@
  *      gc.stress.gcbasher.TestGCBasherWithShenandoah 120000
  */
 /*
  * @test id=generational
  * @key stress
- * @library /
+ * @library / /test/lib
  * @requires vm.gc.Shenandoah
  * @requires vm.flavor == "server"
  * @summary Stress the Shenandoah GC by trying to make old objects more likely to be garbage than young objects.
  *
  * @run main/othervm/timeout=200 -Xlog:gc*=info -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
@@ -199,11 +198,11 @@
  */
 
  /*
   * @test id=generational-deopt-nmethod
   * @key stress
-  * @library /
+  * @library / /test/lib
   * @requires vm.gc.Shenandoah
   * @requires vm.flavor == "server" & vm.opt.ClassUnloading != false
   * @summary Stress Shenandoah GC with nmethod barrier forced deoptimization enabled.
   *
   * @run main/othervm/timeout=200 -Xlog:gc*=info,nmethod+barrier=trace -Xmx1g -XX:+UnlockDiagnosticVMOptions -XX:+UnlockExperimentalVMOptions
